package org.processmining.acceptingpetrinetclassicalreductor.connections;

import org.processmining.acceptingpetrinet.models.AcceptingPetriNet;
import org.processmining.acceptingpetrinetclassicalreductor.parameters.ReduceUsingMurataRulesParameters;
import org.processmining.framework.connections.impl.AbstractConnection;

public class ReduceUsingMurataRulesConnection extends AbstractConnection {


	public final static String NET = "Net";
	public final static String REDUCEDNET = "ReducedNet";

	private ReduceUsingMurataRulesParameters parameters;

	public ReduceUsingMurataRulesConnection(AcceptingPetriNet net, AcceptingPetriNet reducedNet,
			ReduceUsingMurataRulesParameters parameters) {
		super("Reduce Using murata Rules Connection");
		put(NET, net);
		put(REDUCEDNET, reducedNet);
		this.parameters = new ReduceUsingMurataRulesParameters(parameters);
	}

	public ReduceUsingMurataRulesParameters getParameters() {
		return parameters;
	}
}
