package org.processmining.acceptingpetrinetclassicalreductor.parameters;

import org.processmining.basicutils.parameters.impl.PluginParametersImpl;


public class ReduceUsingMurataRulesParameters extends PluginParametersImpl {

	private boolean retainBehavior;
	
	public ReduceUsingMurataRulesParameters() {
		super();
		setRetainBehavior(true);
	}
	
	public ReduceUsingMurataRulesParameters(ReduceUsingMurataRulesParameters parameters) {
		super(parameters);
		setRetainBehavior(parameters.isRetainBehavior());
	}
	
	public boolean equals(Object object) {
		if (object instanceof ReduceUsingMurataRulesParameters) {
			ReduceUsingMurataRulesParameters parameters = (ReduceUsingMurataRulesParameters) object;
			return super.equals(parameters) && (retainBehavior == parameters.retainBehavior);
		}
		return false;
	}

	public boolean isRetainBehavior() {
		return retainBehavior;
	}

	public void setRetainBehavior(boolean retainBehavior) {
		this.retainBehavior = retainBehavior;
	}
}
